Autor Tópico: WAMP - MYSQL  (Lida 470 vezes)

rzorzella

  • Intermediário
  • ***
  • Mensagens: 111
    • Email
WAMP - MYSQL
« Online: Janeiro 12, 2016, 05:05:51 pm »
Olá a todos,


Estou tendo que usar o WAMP num cliente.
O PHP é o 5.5
no _lib/prod  qdo vou configurar uma conexão, estou usando o "localhost"
coloco o USER e SENHA mas mesmo dando certo ao pressionar o testar conexão no combo DATABASE nao aparece o nome da base para o referido user.

Alguém poderia me ajudar?



ABS

Ricardo

Haroldo

  • Expert
  • *****
  • Mensagens: 6293
  • Conhecimento diminui limitações.△TFA△
    • Infinitus Web Gestão Empresarial/Gestão ITIL/Consultoria Scriptcase
Re:WAMP - MYSQL
« Responder #1 Online: Janeiro 12, 2016, 08:30:27 pm »
tente no lugar de localhost usar 127.0.0.1

Rodrigo Goulart Padovezzi

  • Expert
  • *****
  • Mensagens: 1045
    • Email
Re:WAMP - MYSQL
« Responder #2 Online: Janeiro 13, 2016, 08:42:53 am »
Acesse o phpmyadmin, crie um usuário com permissão % (qualquer servidor) e habilite essa database para esse usuário.

rzorzella

  • Intermediário
  • ***
  • Mensagens: 111
    • Email
Re:WAMP - MYSQL
« Responder #3 Online: Janeiro 13, 2016, 11:29:16 am »
Grato pelas respostas

Quanto a resposta do Haroldo, eu jã tentei e nao foi.

Quanto a resposta do Rodrigo, da forma que o meu cliente configurou não está aceitando usuario como  permissão % (qualquer servidor), SOMENTE LOCALHOST.

Vou dar uma olhada na configuracao do wamp pra tentar mudar o mysql de forma que eu consiga fazer da forma sugerida.

Caso tenha mais sugestões fico agradecido.

Ricardo Zorzella

rzorzella

  • Intermediário
  • ***
  • Mensagens: 111
    • Email
Re:WAMP - MYSQL
« Responder #4 Online: Janeiro 13, 2016, 11:47:02 am »
configurei um usuario do banco como "teste" e o HOST como %

esta mensagem que me aparece

Erro: Access denied for user 'teste'@'localhost' (using password: YES)


Outros dados que podem ajudar:
o PHP é 5.5.12
rodei um script php feito na unha e aprece a seguinte msg:  Deprecated: mysql_connect(): The mysql extension is deprecated and will be removed in the future: use mysqli or

A forma de tirar a mensagem é colocar no script "error_reporting (E_ALL & ~ E_NOTICE & ~ E_DEPRECATED);"

Como será que posso fazer dentro do SCRIPTCASE de forma genérica?


Abs

« Última modificação: Janeiro 13, 2016, 12:47:03 pm por rzorzella »